On May 27, 2011, at 00:57 , Phillip Gawlowski wrote:

> On Fri, May 27, 2011 at 5:16 AM, Karl Smith <threadhead / gmail.com> =
wrote:
>>=20
>> At first I was startled because I have never seen ruby crash before =
on this machine.
>> Now that the novelty has worn thin, it's becoming quite a =
distraction.
>>=20
>> Since everything was working just a few days ago, I'm stumped as to =
what may be causing this. I need help tracking down the cause.
>=20
> Well, what did change in your system environment in the last few days?
>=20
> Looking at the crash log, and considering the crash happens after an
> SQL statement: What database are you using, and what is its version?
> And what's your Rails/ActiveRecord version?
>=20
> If possible, build an application with the *minimum* set of external
> libraries that still produces a crash.

This seems a lot more relevant:

c:0042 p:---- s:0136 b:0136 l:000135 d:000135 CFUNC  :require
c:0041 p:0012 s:0132 b:0132 l:000116 d:000131 BLOCK  =
blah/gems/activesupport-3.0.7/lib/active_support/dependencies.rb:239
c:0040 p:0005 s:0130 b:0130 l:000121 d:000129 BLOCK  =
blah/gems/activesupport-3.0.7/lib/active_support/dependencies.rb:225
c:0039 p:0045 s:0128 b:0128 l:000127 d:000127 METHOD =
blah/gems/activesupport-3.0.7/lib/active_support/dependencies.rb:596
c:0038 p:0041 s:0122 b:0122 l:000121 d:000121 METHOD =
blah/gems/activesupport-3.0.7/lib/active_support/dependencies.rb:225
c:0037 p:0013 s:0117 b:0117 l:000116 d:000116 METHOD =
blah/gems/activesupport-3.0.7/lib/active_support/dependencies.rb:239
c:0036 p:0011 s:0112 b:0112 l:000111 d:000111 TOP    =
blah/gems/ruby_parser-2.0.6/lib/ruby_parser.rb:7
c:0035 p:---- s:0110 b:0110 l:000109 d:000109 FINISH
c:0034 p:---- s:0108 b:0108 l:000107 d:000107 CFUNC  :require

Which looks to be:

require 'racc/parser.rb'

Which ships with ruby... Something is brokey with racc itself? I =
dunno...=